Subject: Re: bug#73815: 29.4; message-narrow-to-headers-or-head is void in mml-to-mime
From: Eli Zaretskii <[email-masked]>
To: Göran Uddeborg <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Oct 2024 11:58:17 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Göran Uddeborg <[email-masked]>
> Date: Tue, 15 Oct 2024 11:22:04 +0200
> 
> While working on debugging the VM package, I hit what I believe is a bug
> in Emacs itself. To reproduce the problem, run the following steps.
> 
> 1. emacs -Q
> 2. C-x b a <return>
> 3. C-x i b u g b r e v <return>
> 4. M-x m a i l - s e n d <return>
> 
> I attach the "bugbrev" file used above. (It is a very stripped down
> version of a spam I got and tried to forward to Spamcop.)
> 
> What happens is I get the error message
> 
>   mml-to-mime: Symbol’s function definition is void: message-narrow-to-headers-or-head
> 
> My elisp skills are quite limited, but from what I understand, this is
> triggered by the very long line in the forwarded message, which causes
> mail-send to call mml-to-mime. The latter calls
> message-narrow-to-headers-or-head but that is not available in this
> situation. Shoudn't there be an autoload of that function too?
> 
>     (autoload 'message-narrow-to-headers-or-head "message")

Yes, there should be.  I've now added that on the emacs-30 branch, and
I'm therefore closing this bug.